package cn.com.ayaojies.web.controller.system;

import cn.com.ayaojies.common.core.controller.BaseController;
import cn.com.ayaojies.common.core.domain.AjaxResult;
import cn.com.ayaojies.common.core.domain.model.RegisterBody;
import cn.com.ayaojies.common.utils.StringUtils;
import cn.com.ayaojies.framework.web.service.SysRegisterService;
import cn.com.ayaojies.system.service.ISysConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * 注册验证
 *
 * @author AyaoJies
 */
@RestController
public class SysRegisterController extends BaseController {
    @Autowired
    private SysRegisterService registerService;
    
    @Autowired
    private ISysConfigService configService;
    
    @PostMapping("/register")
    public AjaxResult register(@RequestBody RegisterBody user) {
        if (!("true".equals(configService.selectConfigByKey("sys.account.registerUser")))) {
            return error("当前系统没有开启注册功能！");
        }
        String msg = registerService.register(user);
        return StringUtils.isEmpty(msg) ? success() : error(msg);
    }
}
